Name:		megamario
Version:	1.7
Release:	%mkrel 11
Summary:	Super Mario 1 clone
Group:		Games/Arcade
License:	LGPL+
# This site is defunct as of 2024
URL:		https://www.megamario.de/
Source0:	https://downloads.sourceforge.net/mmario/MegaMario_v%{version}_full.zip
Patch0:		megamario-1.7-compile-fix.patch
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
Requires:	hicolor-icon-theme

%description
MegaMario is a clone of the well know platform game Super Mario Bros 1,
In the game you play Mario, and your task is to free his brother Luigi,
who was captured by the evil Bowser.

%prep
%setup -q -c
%autopatch -p1
sed -i 's/\r//' *.txt *.desktop

%build
%make_build PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
convert -transparent '#FF00FF' data/gfx/characters/small/player1r.PNG %{name}.png
sed -i "s/Icon=.*/Icon=megamario/" %{name}.desktop
sed -i "/Encoding/d" %{name}.desktop

%install
make install PREFIX=%{buildroot}%{_prefix}
# cruft removal
rm %{buildroot}%{_datadir}/megamario/levels/1/1
rm %{buildroot}%{_datadir}/megamario/levels/11/mai
rm %{buildroot}%{_datadir}/megamario/save.sav

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -p -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/
install -p -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/

# Fix mga#11749
pushd %{buildroot}%{_datadir}/%{name}/gfx/background
ln -s Iceland.jpg iceland.jpg
ln -s canyon.jpg Canyon.jpg
popd
%files
%doc CONTROLS.txt readme.txt fixes_v%{version}.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.7-11.mga10
+ Revision: 2213741
- Mageia 10 Mass Rebuild
+ danf <danf>
- Switch URL to https
- Update links to https:

* Fri Apr 01 2022 umeabot <umeabot> 1.7-10.mga9
+ Revision: 1839662
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.7-9.mga8
+ Revision: 1515143
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.7-8.mga7
+ Revision: 1299514
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.7-7.mga6
+ Revision: 932989
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-6.mga5
+ Revision: 749383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 682348
- Mageia 5 Mass Rebuild

* Tue Nov 26 2013 dams <dams> 1.7-4.mga4
+ Revision: 553565
- Clean specfile
- Update %%url
- Remove .desktop as a source (use provided one)
- Fix mga#11749 by creating links for two .png files

* Fri Oct 18 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 507891
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 359936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 shlomif <shlomif> 1.7-1.mga3
+ Revision: 248676
- imported package megamario


* Tue Mar 27 2012 Johnny A. Solbu <johnny@solbu.net> 1.7-1
- Spec cleanup
- Don't ship license.txt, license doesn't require it

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.5-3
- rebuild for new F11 features

* Thu Jul 24 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5-2
- Release bump for rpmfusion

* Tue Jun  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.5-1%%{?dist}
- New upstream release 1.5

* Sat Mar 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.3-3%%{?dist}
- Fixup .desktop file categories for games-menus usage
- No longer use preconverted .png as RH bug 196010 is fixed

* Sun Jul  9 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.3-2%%{?dist}
- Use a preconverted .png as icon to work around RH bug 196010

* Thu Jun 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.3-1%%{?dist}
- Initial Fedora Extras package
